This app was done during a tutorial of Room + Repository + MVVM + Databinding to show skills gained in both MVVM Architecture, Databinding (one and two way), Room, and the Repository pattern with a good Responsive UI which was a part of a Android Development course
